Subject: Re: [PATCH] refs: unify parse_worktree_ref() and ref_type()

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Sep 2022 09:45:55 -0700

Han-Wen Nienhuys <[email-masked]> writes:

> On Mon, Sep 19, 2022 at 11:43 PM Junio C Hamano <[email-masked]> wrote:
>> > On Tue, Sep 13, 2022 at 5:43 PM Junio C Hamano <[email-masked]> wrote:
>> >> then a better approach would be to have a small helper
>> >> parse_local_worktree_ref() and make the primary one into something
>> >> like
>> >>...
>> >
>> > Thanks, good idea. I'm sending you a v2.
>>
>> is that "v2" <[email-masked]>
>> or is there another version of it?
>
> I think so.
>
>> Hmph,
>
> Did I do something wrong?

Not "wrong" per-se, but I was surprised by the patch that looked
quite different from what I expected from your response to the
"small helper" suggestion.